function progressRemoveClassPause(event) {
	var triggerElement=event.target.triggerElement();
	triggerElement.classList.remove('pause');
}
function progressAnimeSeek(event) {
    var triggerElement=event.target.triggerElement();
    triggerElement.animation.seek(triggerElement.animation.duration * event.progress);
}
function animeFadeInLeft( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    translateX: ['-110%', 0],
	    elasticity: 0,
	    easing: 'easeInOutCubic',
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeFadeInRight( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    translateX: ['110%',0],
	    elasticity: 0,
	    easing: 'easeInOutCubic',
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeFadeInUp( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    easing: 'easeInOutCubic',
	    translateY: ['30%',0],
	    opacity: [0,1],
	    elasticity: 0,
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeFadeIn( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    easing: 'linear',
	    opacity: [0,1],
	    elasticity: 0,
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeParallaxScrollingDownUp( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    translateY: ['+20%', '-20%'],
	    elasticity: 0,
	    easing: 'linear',
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeParallaxScrollingUpDown( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    translateY: ['-20%', '+20%'],
	    elasticity: 0,
	    easing: 'linear',
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
function animeRotate360( targets, el  ) {
    return anime(
	{
	    targets: targets,
	    rotate: [0,360],
	    elasticity: 0,
	    easing: 'linear',
	    delay: 0,
	    duration: 2000,
	    autoplay: false
	}
    );
}
	    /*
	      var basicTimeline = anime.timeline({
	      duration: 2000,
	      autoplay: false
	      });

	      basicTimeline
	      .add({
	      targets: animattionTarget,
	      translateX: '110%',
	      easing: 'easeOutExpo'
	      }) .add({
	      targets: animattionTarget,
	      translateX: '-110%',
	      easing: 'easeOutExpo'
	      });
	    */

jQuery('.scrollMagicObserver').each( function() {
    var elThis=this;
    var elThisJQuery=jQuery(this);
    var animationSelector=elThisJQuery.data('ig-animation-selector');
    var triggerSelector=elThisJQuery.data('ig-trigger-selector');
    var triggerHook=elThisJQuery.data('ig-trigger-hook');
    var animattionTarget=this;

    if( animationSelector ) {
	animattionTarget=jQuery.makeArray(jQuery(animationSelector, this));
    }
    var animationFunction=false;
    var animationFunctionName=elThisJQuery.data('ig-animation-function');
    if (animationFunctionName!=undefined) {
	if( typeof window[animationFunctionName] === "function") {
	    animationFunction = window[animationFunctionName];
	} else {
            console.log('scrollMagicObserver: animation function not found: ' + animationFunctionName);
	    return;
	}
    }
    var progressFunction = false;
    var progressFunctionName=elThisJQuery.data('ig-progress-function');
    if (progressFunctionName!=undefined) {
	if(typeof window[progressFunctionName] !== "function") {
	    console.log('scrollMagicObserver: progressFunction not found: ' + progressFunctionName);
	    return;
	} else {
  	    progressFunction=window[progressFunctionName];
	}
    }


    /*    var animationConfig=window[animationFunctionName]( elThis );
    if( animationConfig==undefined) {
	return;
    }
*/
    var controller = new ScrollMagic.Controller();
    
    if( triggerSelector ) {
	jQuery(triggerSelector, this).each( function() {
	    //animationConfig.anime.targets=this;
	    if ( animationFunction ) {
		this.animation=animationFunction( this, elThis );
		//this.animation.seek(0);
	    }
	
	    var scene = new ScrollMagic.Scene({
		triggerElement: this,
		duration: elThisJQuery.data('ig-trigger-duration'),
		triggerHook: triggerHook ? triggerHook : "onEnter"
	    })
		.addTo(controller).
		//	    addIndicators().
	    on("progress", progressFunction);
	
	});
	    
    } else {
	//animationConfig.anime.targets=animattionTarget;
	
	if ( animationFunction ) {
            this.animation=animationFunction( animattionTarget, elThis );
	    //this.animation.seek(0);
	}
	var scene = new ScrollMagic.Scene({
	    triggerElement: this,
	    duration: elThisJQuery.data('ig-trigger-duration'),
	    triggerHook: triggerHook ? triggerHook : "onEnter"
	})
		.addTo(controller).
	    //	    addIndicators().
	    on("progress", progressFunction);
    }
    
});